/******************************* (C) LiteMesh **********************************
 * @module  led
 * @file    led.h
 * @version 1.0.0
 * @date    XX.XX.XXXX
 * $brief   led
 *******************************************************************************
 * @history     Version  Author         Comment
 * XX.XX.XXXX   1.0.0    Telenkov D.A.  First release.
 *******************************************************************************
 */

/* Define to prevent recursive  ----------------------------------------------*/
#ifndef LED_H
#define LED_H
   
#include "stm32f4xx.h"

/**
  * @brief  
  */
void LED_Init(void);

/**
* @brief  Мигает красным, индикация ошибки
  */
void LED_Blinky_Red(void);

/**
  * @brief  Мигает желтым, индикация режима IAPviaSD
  */
void LED_Blinky_Yellow(void);

/**
  * @brief  Мигает зеленым, индикация режима IAPviaETH
  */
void LED_Blinky_Green(void);

/**
  * @brief  
  */
void LED_On(gpio_t pin);

/**
  * @brief  
  */
void LED_Off(gpio_t pin);

/**
  * @brief  Изменить состояние LED
  */
void LED_Toggle(gpio_t pin);

#endif /* #ifndef LED_H */

/****************************** (C) LiteMesh ***************** end of file ****/
